<div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
	<h1 class="h2">API Documentations</h1>
</div>

<div>
<h3>Продукти</h3>
<br>
<h4>Список продуктів</h4>
<div><b>URL:</b> <i>http://{$smarty.const.FULL_URL}/api/product/list/</i></div>
<div><b>Params (GET):</b></div>
<div>
	<table class="table">
		<tbody>
			<tr>
				<td width="150">category_id</td>
				<td>Тип данних: array<br>Параметр не обов'язковий<br>ID категорій, товари яких хочемо отримати</td>
			</tr>
			<tr>
				<td>subcategory</td>
				<td>Тип данних: string<br>Параметр не обов'язковий<br>Можливе значення "Y". Працює тільки з наявним параметром category_id. Якщо значення "Y", то також виводяться продукти з усіх підкатегорій від вказаних категорій</td>
			</tr>
		</tbody>
	</table>
</div>

<h5>Examples</h5>
<div><a href="http://{$smarty.const.FULL_URL}/api/product/list/" target="_blank">http://{$smarty.const.FULL_URL}/api/product/list/</a></div>
<div class="form-text">Отримуємо весь список продуктів</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/product/list/?category_id[]=8&category_id[]=1" target="_blank">http://{$smarty.const.FULL_URL}/api/product/list/?category_id[]=8&category_id[]=1</a></div>
<div class="form-text">Отримуємо список продуктів із категорій, які мають ID=8 і ID=1</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/product/list/?category_id[]=8&category_id[]=1&subcategory=Y" target="_blank">http://{$smarty.const.FULL_URL}/api/product/list/?category_id[]=8&category_id[]=1&subcategory=Y</a></div>
<div class="form-text">Отримуємо список продуктів із категорій, які мають ID=8 і ID=1, а також усіх продуктів, які входять у підкатегорії до вказаних категорій</div>
<br>



<br>
<h4>Інформація про продукт</h4>
<div><b>URL:</b> <i>http://{$smarty.const.FULL_URL}/api/product/info/</i></div>
<div><b>Params (GET):</b></div>
<div>
	<table class="table">
		<tbody>
			<tr>
				<td width="150">id</td>
				<td>Тип данних: integer<br>Параметр обов'язковий<br>ID продукта, дані якого ми хочемо отримати</td>
			</tr>
		</tbody>
	</table>
</div>
<h5>Examples</h5>
<div><a href="http://{$smarty.const.FULL_URL}/api/product/info/?id=5" target="_blank">http://{$smarty.const.FULL_URL}/api/product/info/?id=5</a></div>
<div class="form-text">Отримуємо інформація про продукт з ID=5</div>
<br>


<br>
<h4>Кількість продуктів</h4>
<div><b>URL:</b> <i>http://{$smarty.const.FULL_URL}/api/product/count/</i></div>
<div><b>Params (GET):</b></div>
<div>
	<table class="table">
		<tbody>
			<tr>
				<td width="150">category_id</td>
				<td>Тип данних: array<br>Параметр не обов'язковий<br>ID категорій, з яких хочемо отримати унікальну кільість товарів</td>
			</tr>
		</tbody>
	</table>
</div>

<h5>Examples</h5>
<div><a href="http://{$smarty.const.FULL_URL}/api/product/count/" target="_blank">http://{$smarty.const.FULL_URL}/api/product/count/</a></div>
<div class="form-text">Унікальна кількість унікальних продуктів по всім категоріям</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/product/count/?category_id[]=1&category_id[]=3" target="_blank">http://{$smarty.const.FULL_URL}/api/product/count/?category_id[]=1&category_id[]=3</a></div>
<div class="form-text">Унікальна кількість продуктів у категоріях з ID=1 і ID=3</div>
<br>
<br>
<br>


<h3>Категорії</h3>
<br>
<h4>Список категорій (дерево)</h4>
<div><b>URL:</b> <i>http://{$smarty.const.FULL_URL}/api/category/list/</i></div>
<div><b>Params (GET):</b></div>
<div>
	<table class="table">
		<tbody>
			<tr>
				<td width="150">id</td>
				<td>Тип данних: integer<br>Параметр не обов'язковий<br>Отримуємо список підкатегорій вибраної категорії у вигляді дерева</td>
			</tr>
			<tr>
				<td>product</td>
				<td>Тип данних: string<br>Параметр не обов'язковий<br>Можливе одне значенн "Y". Якщо вказаний даний параметр, то до категорії і підкатегорії будуть включені продукти, які їм належать</td>
			</tr>
		</tbody>
	</table>
</div>
<h5>Examples</h5>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/list/" target="_blank">http://{$smarty.const.FULL_URL}/api/category/list/</a></div>
<div class="form-text">Список всіх категорій у вигляді дерева</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/list/?id=1" target="_blank">http://{$smarty.const.FULL_URL}/api/category/list/?id=1</a></div>
<div class="form-text">Список усіх підкатегорій для категорії ID=1 у вигляді дерева</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/list/?id=1&product=Y" target="_blank">http://{$smarty.const.FULL_URL}/api/category/list/?id=1&product=Y</a></div>
<div class="form-text">Список усіх підкатегорій для категорії ID=1 у вигляді дерева, з списком продуктів до кожної підкатегорії</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/list/?product=Y" target="_blank">http://{$smarty.const.FULL_URL}/api/category/list/?product=Y</a></div>
<div class="form-text">Список всіх категорій у вигляді дерева із списком продуктів до кожної категорії і підкатегорії</div>
<br>

<h4>Інформація про категорію</h4>
<div><b>URL:</b> <i>http://{$smarty.const.FULL_URL}/api/category/info/</i></div>
<div><b>Params (GET):</b></div>
<div>
	<table class="table">
		<tbody>
			<tr>
				<td width="150">id</td>
				<td>Тип данних: array<br>Параметр обов'язковий<br>ID категорій, дані про які хочемо отримати</td>
			</tr>
			<tr>
				<td>product</td>
				<td>Тип данних: string<br>Параметр не обов'язковий<br>Можливе одне значенн "Y". Якщо вказаний даний параметр, то до категорії будуть включені продукти, які їм належать</td>
			</tr>
			<tr>
				<td>subcategory</td>
				<td>Тип данних: string<br>Параметр не обов'язковий<br>Можливе одне значенн "Y". Якщо вказаний даний параметр, то також в інформацію про категорію будуть включені всі підкатегорії данохї категорії у вигляді дерева.</td>
			</tr>
		</tbody>
	</table>
</div>
<h5>Examples</h5>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/info/?id[]=1&id[]=3" target="_blank">http://{$smarty.const.FULL_URL}/api/category/info/?id[]=1&id[]=3</a></div>
<div class="form-text">Інформація про категорії з ID=1 і ID=3</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/info/?id[]=1&id[]=3&product=Y" target="_blank">http://{$smarty.const.FULL_URL}/api/category/info/?id[]=1&id[]=3&product=Y</a></div>
<div class="form-text">Інформація про категорії з ID=1 і ID=3, а також з включеними продуктами до кожної категорії</div>
<br>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/info/?id[]=1&product=Y&subcategory=Y" target="_blank">http://{$smarty.const.FULL_URL}/api/category/info/?id[]=1&product=Y&subcategory=Y</a></div>
<div class="form-text">Інформація про категорії з ID=1 і ID=3, з підкатегоріями і з включеними продуктами до кожної категорії і підкатегорії</div>
<br>


<h4>Хлібні крихти</h4>
<div><b>URL:</b> <i>http://{$smarty.const.FULL_URL}/api/category/breadcrumb/</i></div>
<div><b>Params (GET):</b></div>
<div>
	<table class="table">
		<tbody>
			<tr>
				<td width="150">id</td>
				<td>Тип данних: array<br>Параметр обов'язковий<br>ID категорій про які хочемо отримати "хлібні крихти"</td>
			</tr>
			
		</tbody>
	</table>
</div>
<h5>Examples</h5>
<div><a href="http://{$smarty.const.FULL_URL}/api/category/breadcrumb/?id[]=14" target="_blank">http://{$smarty.const.FULL_URL}/api/category/breadcrumb/?id[]=14</a></div>
<div class="form-text">"Хлібні крихти" для категорії з ID=14</div>
<br>

</div>